## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# generated by cabal-rpm-2.2.1
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%bcond_without tests

Name:           alex
Version:        3.4.0.1
Release:        %autorelease
Summary:        Tool for generating lexical analysers in Haskell

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
%if %{with tests}
BuildRequires:  ghc-process-devel
%endif
# End cabal-rpm deps
BuildRequires:  autoconf
BuildRequires:  docbook-style-xsl
BuildRequires:  make
BuildRequires:  libxslt

%description
Alex is a tool for generating lexical analysers in Haskell. It takes a
description of tokens based on regular expressions and generates a Haskell
module containing code for scanning text efficiently. It is similar to the tool
lex or flex for C/C++.


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_bin_install
# End cabal-rpm install


%check
%if %{with tests}
PATH=%{buildroot}%{_bindir}:$PATH
%cabal_test
%endif


%files
# Begin cabal-rpm files:
%license LICENSE
%doc CHANGELOG.md README.md examples
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
# End cabal-rpm files


%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Jens Petersen <petersen@redhat.com> - 3.4.0.1-1
- https://hackage.haskell.org/package/alex-3.4.0.1/changelog

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 14 2024 Jens Petersen <petersen@redhat.com> - 3.3.0.0-4
- refresh to cabal-rpm-2.2.1

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 28 2023 Jens Petersen <petersen@redhat.com> - 3.3.0.0-1
- https://hackage.haskell.org/package/alex-3.3.0.0/changelog

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 07 2022 Jens Petersen <petersen@redhat.com> - 3.2.7.1-1
- https://hackage.haskell.org/package/alex-3.2.7.1/changelog

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 08 2022 Miro Hrončok <mhroncok@redhat.com> - 3.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/LIBFFI34

* Tue Aug  3 2021 Jens Petersen <petersen@redhat.com> - 3.2.6-1
- update to 3.2.6

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jan 25 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jul 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.5-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 17 2020 Jens Petersen <petersen@redhat.com> - 3.2.5-2
- refresh to cabal-rpm-2.0.6

* Sun Feb 09 2020 Jens Petersen <petersen@redhat.com> - 3.2.5-1
- update to 3.2.5

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Aug 01 2019 Jens Petersen <petersen@redhat.com> - 3.2.4-5
- rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Feb 27 2019 Jens Petersen <petersen@redhat.com> - 3.2.4-3
- refresh to cabal-rpm-0.13

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Oct 22 2018 Jens Petersen <petersen@redhat.com> - 3.2.4-1
- rebuild for static executable

* Sun Jul 22 2018 Jens Petersen <petersen@redhat.com> - 3.2.4-1
- update to 3.2.4
- disable tests

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 3.2.3-1
- update to 3.2.3

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 20 2017 Jens Petersen <petersen@redhat.com> - 3.2.1-1
- update to 3.2.1

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 20 2017 Jens Petersen <petersen@redhat.com> - 3.1.7-2
- remove and obsolete static and common subpackages
- re-enable tests

* Thu Jun 23 2016 Jens Petersen <petersen@redhat.com> - 3.1.7-1
- update to 3.1.7
- install manpage

* Mon Jun  6 2016 Jens Petersen <petersen@redhat.com> - 3.1.4-5
- rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Sep 17 2015 Jens Petersen <petersen@redhat.com> - 3.1.4-3
- use license macro
- disable testsuite for 3.1.4

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 02 2015 Jens Petersen <petersen@redhat.com>
- update to 3.1.4

* Sun Aug  3 2014 Jens Petersen <petersen@redhat.com> - 3.1.3-1
- update to 3.1.3
- add static and common subpackages
- dynamic and static are handled as alternatives

* Tue Jun 10 2014 Jens Petersen <petersen@redhat.com> - 3.0.5-37
- update to cblrpm-0.8.11
- turn on tests

* Mon Apr 21 2014 Jens Petersen <petersen@redhat.com> - 3.0.5-36
- bang pattern patch no longer needed for ppc with ghc-7.6

* Mon Apr 21 2014 Jens Petersen <petersen@redhat.com> - 3.0.5-35
- bump over haskell-platform

* Fri Apr 11 2014 Jens Petersen <petersen@redhat.com> - 3.0.5-34
- split out of haskell-platform
- update to 3.0.5

* Wed Jun  6 2012 Jens Petersen <petersen@redhat.com> - 3.0.1-3
- BR alex on ppc archs!
- also apply bang pattern patch on ppc64

* Wed Jun  6 2012 Jens Petersen <petersen@redhat.com> - 3.0.1-2
- add fix-bang-pattern.diff patch from Debian to fix build on ppc

* Tue Mar 20 2012 Jens Petersen <petersen@redhat.com> - 3.0.1-1
- update to 3.0.1
- depends on QuickCheck

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.5-6.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.3.5-5.2
- rebuild with new gmp without compat lib

* Mon Oct 10 2011 Peter Schiffer <pschiffe@redhat.com> - 2.3.5-5.1
- rebuild with new gmp

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 2.3.5-5
- ghc_arches replaces ghc_excluded_archs

* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 2.3.5-4
- BR ghc-Cabal-devel
- use ghc_excluded_archs

* Wed May 18 2011 Jens Petersen <petersen@redhat.com> - 2.3.5-3
- add ppc64

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 2.3.5-2
- Enable build on sparcv9

* Tue Feb 15 2011 Jens Petersen <petersen@redhat.com> - 2.3.5-1
- update to 2.3.5 for haskell-platform-2011.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Jens Petersen <petersen@redhat.com> - 2.3.4-2
- update to cabal2spec-0.22.4
- BR ghc-devel

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 2.3.4-1
- update to 2.3.4

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 2.3.3-2
- rebuild

* Fri Jul 30 2010 Jens Petersen <petersen@redhat.com>
- update to simpler url

* Fri Jul 16 2010 Jens Petersen <petersen@redhat.com> - 2.3.3-1
- 2.3.3 release for haskell-platform-2010.2.0.0

* Sun Jun 27 2010 Jens Petersen <petersen@redhat.com> - 2.3.2-3
- sync cabal2spec-0.22.1

* Sat Apr 24 2010 Jens Petersen <petersen@redhat.com> - 2.3.2-2
- rebuild against ghc-6.12.2

* Wed Mar 24 2010 Jens Petersen <petersen@redhat.com> - 2.3.2-1
- update to 2.3.2 for haskell-platform-2010.1.0.0

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 2.3.1-8
- dynamic bcond is now handled by cabal_configure
- drop redundant buildroot and its install cleaning

* Tue Dec 22 2009 Jens Petersen <petersen@redhat.com>
- add bcond for dynamic linking

* Mon Dec 21 2009 Jens Petersen <petersen@redhat.com> - 2.3.1-7
- build dynamically with ghc-6.12.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 17 2009 Jens Petersen <petersen@redhat.com> - 2.3.1-5
- buildrequires ghc-rpm-macros

* Fri Apr 24 2009 Jens Petersen <petersen@redhat.com> - 2.3.1-4
- rebuild against ghc-6.10.2

* Tue Mar 10 2009 Jens Petersen <petersen@redhat.com> - 2.3.1-3
- update arch list and bring closer to cabal2spec-0.12

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Jens Petersen <petersen@redhat.com> - 2.3.1-1
- update to 2.3.1
- no longer need alex-2.3-base3.patch

* Tue Nov 25 2008 Jens Petersen <petersen@redhat.com> - 2.3-2
- build with new macros
- update urls to point to hackage
- add alex-2.3-base3.patch to build with base-3 for ghc-6.10.1

* Mon Oct 13 2008 Bryan O'Sullivan <bos@serpentine.com> - 2.3-1
- Update to 2.3

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2-3
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2-2
- Autorebuild for GCC 4.3

* Fri Jan  4 2008 Jens Petersen <petersen@redhat.com> - 2.2-1
- update to 2.2 release

* Fri Nov 23 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-6
- Exclude alpha

* Tue Sep 25 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-5
- don't try to build on ppc64

* Tue Sep 25 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-4
- build requires autoconf

* Sun Jul 22 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-3
- apply a few cleanups from Jens Petersen

* Thu Apr 26 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-2
- fix a few style issues

* Fri Jan 19 2007 Bryan O'Sullivan <bos@serpentine.com> - 2.1.0-1
- update to 2.1.0
- fix rpmlint errors

* Fri May  6 2005 Jens Petersen <petersen@redhat.com> - 2.0.1-1
- initial packaging for Fedora Haskell based on upstream spec file

## END: Generated by rpmautospec
